Bug 9245 - Quirksmode: Incorrect handling of disabled BUTTON elements
Summary: Quirksmode: Incorrect handling of disabled BUTTON elements
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 420+
Hardware: PC OS X 10.4
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on:
Blocks: 9610
  Show dependency treegraph
 
Reported: 2006-06-02 11:58 PDT by Adele Peterson
Modified: 2006-07-10 01:56 PDT (History)
1 user (show)

See Also:


Attachments
Patch (5.38 KB, patch)
2006-07-09 15:09 PDT, Anders Carlsson
adele: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adele Peterson 2006-06-02 11:58:11 PDT
http://www.quirksmode.org/bugreports/archives/safari/index.html

"Adding disabled attributes to <BUTTON> elements in Safari does not have the desired effect.

Disabled buttons with text content are not greyed out and still respond visually to clicks (albeit without generating any onclick events).

In <BUTTON> elements with image content, the addition of a disabled atribute has no effect whatsoever.

Test page http://www.philronan.pwp.blueyonder.co.uk/safari-bugs/bad-buttons.html
Workaround is included
Reported by: Philip Ronan."
Comment 1 Joost de Valk (AlthA) 2006-06-24 13:24:21 PDT
This should be P1 imho, as it allows users to do things the webdesigner didn't want them to be able to.
Comment 2 Dave Hyatt 2006-06-24 14:37:40 PDT
P1 = crashes and regressions.
Comment 3 Joost de Valk (AlthA) 2006-06-24 14:52:33 PDT
Hyatt: I strongly disagree and would like to discuss this with you.
Comment 4 Anders Carlsson 2006-07-09 15:09:51 PDT
Created attachment 9312 [details]
Patch
Comment 5 Darin Adler 2006-07-09 23:13:08 PDT
Website compatibility problems should almost never be P1 bugs; exceptions would be problems that affect very important and prominent websites or things that cause security problems.

And I agree this bug does not deserve a P1.

But I guess we won't resolve this by discussing it in a bug report. And this bug has a fix already, so it doesn't matter too much!
Comment 6 Anders Carlsson 2006-07-10 01:56:45 PDT
Fixed in r15296